import React from 'react';
import { action } from '@storybook/addon-actions';
import { List, ListItem } from '.';
export default {
  component: List,
  subcomponents: {
    ListItem: ListItem
  },
  title: 'List',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(List, props, /*#__PURE__*/React.createElement(ListItem, {
    onClick: action('onClick'),
    title: "List item 1"
  }, "This is the description for item 1"), /*#__PURE__*/React.createElement(ListItem, {
    title: "List item 2"
  }, "This is the description for item 2"), /*#__PURE__*/React.createElement(ListItem, {
    title: "List item 3"
  }, "This is the description for item 3"), /*#__PURE__*/React.createElement(ListItem, {
    title: "List item 4"
  }, "This is the description for item 4"));
};